Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freenet.support.CPUInformation
Class CPUID.VIAC3Impl

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
          freenet.support.CPUInformation.CPUID.VIAC3Impl

All Implemented Interfaces:
  CPUInfo

Enclosing class:
  CPUID

    protected static class CPUID.VIAC3Impl

extends CPUID.CPUIDCPUInfo
implements CPUInfo

Constructor Summary
`protected` | `CPUID.VIAC3Impl()`

Method Summary
`String` | `getCPUModelString()`
`boolean` | `IsC3Compatible()`

Methods inherited from class freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2`

Constructor Detail

### CPUID.VIAC3Impl

    protected CPUID.VIAC3Impl()

Method Detail

### IsC3Compatible

    public boolean IsC3Compatible()

  Specified by:
    `IsC3Compatible` in interface `CPUInfo`
  Overrides:
    `IsC3Compatible` in class `CPUID.CPUIDCPUInfo`

### getCPUModelString

    public String getCPUModelString()

  Specified by:
    `getCPUModelString` in interface `CPUInfo`
  Returns:
    A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD